orte/runtime/orte_monitor.c File Reference.TH "orte/runtime/orte_monitor.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/runtime/orte_monitor.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <string.h>\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'orte/util/sys_info.h'\fP
.br
\fC#include 'orte/runtime/runtime.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'orte/util/proc_info.h'\fP
.br
\fC#include 'orte/mca/ns/ns_types.h'\fP
.br
\fC#include 'orte/mca/gpr/gpr_types.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBorte_all_procs_registered\fP (orte_gpr_notify_message_t *match, void *cbdata)"
.br
.ti -1c
.RI "void \fBorte_all_procs_unregistered\fP (orte_gpr_notify_message_t *match, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_monitor_procs_registered\fP (void)"
.br
.RI "\fITSW - This is a temporary solution - that only handles graceful shutdown.... \fP"
.ti -1c
.RI "int \fBorte_monitor_procs_unregistered\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "static \fBopal_mutex_t\fP \fBompi_rte_mutex\fP"
.br
.ti -1c
.RI "static opal_condition_t \fBompi_rte_condition\fP"
.br
.ti -1c
.RI "static bool \fBompi_rte_job_started\fP = false"
.br
.ti -1c
.RI "static bool \fBompi_rte_job_finished\fP = false"
.br
.ti -1c
.RI "static bool \fBompi_rte_waiting\fP = false"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
